Subject: bug#51027: closed (Re: bug#51027: Icecat: gfx.webrender.all unset by default - gpu performance issues)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 12 Jul 2022 13:47:02 +0000

Your bug report

#51027: Icecat: gfx.webrender.all unset by default - gpu performance issues

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
51027: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=51027
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#51027: Icecat: gfx.webrender.all unset by default - gpu performance issues
From: Maxim Cournoyer <[email-masked]>
To: Ekaitz Zarraga <[email-masked]>
Cc: [email-masked]
Date: Tue, 12 Jul 2022 09:46:07 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maxim Cournoyer <[email-masked]> writes:

> Hello,
>
> Maxim Cournoyer <[email-masked]> writes:
>
>> Hello,
>>
>> Ekaitz Zarraga <[email-masked]> writes:
>>
>>> Hi,
>>> I recently found my GPU struggling to render simple websites on icecat while
>>> ungoogled-chromium is able to do it correctly.
>>>
>>> The most recent one was element, Matrix's web client.
>>> I opened an issue there[^1] and they told me to set the `gfx.webrender.all` to
>>>  `true`.
>>>
>>> I did it and everything worked like a charm, and the rendering effort for any
>>> other website went down significantly.
>>>
>>> Why do we ship icecat with this variable unset? Can we set it so more people
>>> benefit from the new rendering engine?
>>>
>>> Thanks,
>>> Ekaitz
>>>
>>> [^1]: https://github.com/vector-im/element-web/issues/19217
>>
>> Seems this feature is rather new, and has been (is being?) deployed to
>> selected systems by Mozilla.  Given that Icecat is based on the ESR (the
>> slower paced Firefox releases), it'll probably take a little while to
>> land.
>>
>> You should dig more to get a definitive answer though!  Perhaps the
>> Mozilla folks would know best.
>
> Turning such feature on in my version of icecat didn't seem to break
> something (or improve much) until I restarted it, at which point the
> output was totally garbled.  That's using it with an nvidia 8800 GTS
> card and the nouveau driver.
>
> So, unless the upstream Firefox ESR GNU Icecat is based on has this bit
> turned on, I'd vote to close this issue.

I'm closing the issue, as I don't think it's Guix responsibility to
decide whether Icecat should deviate from the upstream Firefox (ESR)
version it is based on.

Thanks,

Maxim

Subject: Icecat: gfx.webrender.all unset by default - gpu performance issues
From: Ekaitz Zarraga <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 05 Oct 2021 09:15:26 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,
I recently found my GPU struggling to render simple websites on icecat while
ungoogled-chromium is able to do it correctly.

The most recent one was element, Matrix's web client.
I opened an issue there[^1] and they told me to set the `gfx.webrender.all` to
 `true`.

I did it and everything worked like a charm, and the rendering effort for any
other website went down significantly.

Why do we ship icecat with this variable unset? Can we set it so more people
benefit from the new rendering engine?

Thanks,
Ekaitz

[^1]: https://github.com/vector-im/element-web/issues/19217